%invpendcinit.m

% Define the following variables using the variable already defined at the top of invpend.m
% Already defined: g   acceleration of gravity divided by the cheat
%                  lcg the lenghth to the center of gravity of the beam (L in the handout)
%                  f   the pole of the first-order pre-filter
%                  a2=3*g/(4*lcg)
a = ;     % a needs to be defined here
c = ;     % c needs to be defined here
gc = ;    % k needs to be defined here (gc is the gain of the controller)
xrefm = 0;
dxrefmax = 0.25*dt;
numc = ;  % The numerator of your controller should be added here
denc = :  % The denominator of your controller should be added here
sysc = tf(numc, denc);
[ac,bc,cc,dc]=ssdata(c2d(sysc,dt,'zoh'));
xc = [0;0];
xreff=0;
tmax = 60;
npoints = round(tmax/dt);
ts = zeros(npoints,1);
xcoms=zeros(npoints,1);
xrefs = zeros(npoints,1);
ths = zeros(npoints,1);
xcarts = zeros(npoints,1);
ip=1;
sysf = tf([5],[1 5]);
sysol = series(series(sysp,sysf),sysc);
figure(2);
rlocus(sysol);
figure(3);
nyquist(sysol);
figure(4);
margin(sysol);
